GNU bug report logs - #37248
GNOME and Icecat problems

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Reported by: jon@HIDDEN; merged with #35853; dated Sat, 31 Aug 2019 19:56:02 UTC; Maintainer for guix is bug-guix@HIDDEN.
Merged 35853 37248. Request was from Jack Hill <jackhill@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 37248 <at> debbugs.gnu.org:


Received: (at 37248) by debbugs.gnu.org; 3 Sep 2019 17:21:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 03 13:21:05 2019
Received: from localhost ([127.0.0.1]:60511 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i5CUL-0002PB-KO
	for submit <at> debbugs.gnu.org; Tue, 03 Sep 2019 13:21:05 -0400
Received: from minsky.hcoop.net ([104.248.1.95]:57686)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jackhill@HIDDEN>) id 1i5CUI-0002OL-3o
 for 37248 <at> debbugs.gnu.org; Tue, 03 Sep 2019 13:21:04 -0400
Received: from marsh.hcoop.net ([45.55.52.66])
 by minsky.hcoop.net with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.89) (envelope-from <jackhill@HIDDEN>)
 id 1i5CUC-0000wD-MI; Tue, 03 Sep 2019 13:20:56 -0400
Date: Tue, 3 Sep 2019 13:20:56 -0400 (EDT)
From: Jack Hill <jackhill@HIDDEN>
X-X-Sender: jackhill@HIDDEN
To: Jonathan Lane <jon@HIDDEN>
Subject: Re: bug#37248: GNOME and Icecat problems
In-Reply-To: <BWPQXNBIZK92.O8ZNWOQ0T0W9@suika>
Message-ID: <alpine.DEB.2.20.1909031311250.15057@HIDDEN>
References: <BWPQXNBIZK92.O8ZNWOQ0T0W9@suika>
User-Agent: Alpine 2.20 (DEB 67 2015-01-07)
MIME-Version: 1.0
Content-Type: text/plain; format=flowed; charset=US-ASCII
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37248
Cc: 37248 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Mon, 2 Sep 2019, Jonathan Lane wrote:

> I got a very similar error message on the gnome-tweaks part of my bug
> report, and it can be considered a duplicate of that issue.
>
> $ gnome-tweaks
>
> ** (..gnome-tweaks-real-real:2189): WARNING **: 11:47:39.372: Failed to load shared library 'libsoup-2.4.so.1' referenced by the typelib: libsoup-2.4.so.1: cannot open shared object file: No such file or directory
> WARNING : Error detecting shell
> Traceback (most recent call last):
>  File "/gnu/store/mclwkx5n56ki3fqp1rnwxnwvg2nk8s8j-gnome-tweaks-3.28.1/lib/python3.7/site-packages/gtweak/tweaks/tweak_group_shell_extensions.py", line 219, in __init__
>    ego = ExtensionsDotGnomeDotOrg(version)
>  File "/gnu/store/mclwkx5n56ki3fqp1rnwxnwvg2nk8s8j-gnome-tweaks-3.28.1/lib/python3.7/site-packages/gtweak/egowrapper.py", line 25, in __init__
>    self._session = Soup.Session.new()
> GLib.GError: g-invoke-error-quark: Could not locate soup_session_new: libsoup-2.4.so.1: cannot open shared object file: No such file or directory (1)
> WARNING : Error detecting shell
> Traceback (most recent call last):
>  File "/gnu/store/mclwkx5n56ki3fqp1rnwxnwvg2nk8s8j-gnome-tweaks-3.28.1/lib/python3.7/site-packages/gtweak/tweaks/tweak_group_shell_extensions.py", line 53, in __init__
>    self._swInfo = Gio.DesktopAppInfo.new("org.gnome.Software.desktop")
> TypeError: constructor returned NULL
> $

Okay. I think I'll go ahead and merge these issues then.

> The lack of a package for the native connector for IceCat and the lack
> of 68.0ESR packaging for IceCat are still a problem.

Can you open an issue for each of these items?

Personally, I'd rather install the GNOME extensions I want from Guix 
packages rather than from extentions.gnome.org via a browser add-on, but it 
would be great to have either method work.

I expect that the people who work on our icecat package (e.g. Mark Weaver) 
are already aware of 68, but a report won't hurt.

All the best,
Jack




Information forwarded to bug-guix@HIDDEN:
bug#37248; Package guix. Full text available.

Message received at 37248 <at> debbugs.gnu.org:


Received: (at 37248) by debbugs.gnu.org; 2 Sep 2019 18:03:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 02 14:03:20 2019
Received: from localhost ([127.0.0.1]:58945 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i4qfg-0004Zt-NZ
	for submit <at> debbugs.gnu.org; Mon, 02 Sep 2019 14:03:20 -0400
Received: from minsky.hcoop.net ([104.248.1.95]:47020)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jackhill@HIDDEN>) id 1i4qff-0004Zh-Cb
 for 37248 <at> debbugs.gnu.org; Mon, 02 Sep 2019 14:03:19 -0400
Received: from marsh.hcoop.net ([45.55.52.66])
 by minsky.hcoop.net with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.89) (envelope-from <jackhill@HIDDEN>)
 id 1i4qfZ-0003i1-T9; Mon, 02 Sep 2019 14:03:13 -0400
Date: Mon, 2 Sep 2019 14:03:13 -0400 (EDT)
From: Jack Hill <jackhill@HIDDEN>
X-X-Sender: jackhill@HIDDEN
To: jon@HIDDEN
Subject: Re: bug#37248: GNOME and Icecat problems
In-Reply-To: <84ef14fbd09aa880316137e7fdd5716c@HIDDEN>
Message-ID: <alpine.DEB.2.20.1909021352280.15057@HIDDEN>
References: <84ef14fbd09aa880316137e7fdd5716c@HIDDEN>
User-Agent: Alpine 2.20 (DEB 67 2015-01-07)
MIME-Version: 1.0
Content-Type: text/plain; charset=US-ASCII; format=flowed
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37248
Cc: 37248 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Sat, 31 Aug 2019, jon@HIDDEN wrote:

> There are several problems with using GNOME 3.28 and Icecat 60 on Guix, many of which impact each other.
>
> 1. The gnome-tweaks package can't find gnome-shell extensions from the gnome-shell-extensions
> package, and so claims none are installed. 
> This is a packaging problem because on normal distributions, packaged extensions are visible to gnome-tweaks.

Hi,

I think this part of your report may be related to 
https://issues.guix.gnu.org/issue/35853

Should these issues be merged?

Apologies for not yet having a solution.

Best,
Jack




Information forwarded to bug-guix@HIDDEN:
bug#37248; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 31 Aug 2019 19:55:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Aug 31 15:55:24 2019
Received: from localhost ([127.0.0.1]:56004 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i49T1-0008PS-Ko
	for submit <at> debbugs.gnu.org; Sat, 31 Aug 2019 15:55:24 -0400
Received: from lists.gnu.org ([209.51.188.17]:57478)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jon@HIDDEN>) id 1i494c-0007ky-Rf
 for submit <at> debbugs.gnu.org; Sat, 31 Aug 2019 15:30:11 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:57112)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <jon@HIDDEN>) id 1i494b-0008Sf-Lw
 for bug-guix@HIDDEN; Sat, 31 Aug 2019 15:30:10 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,URIBL_BLOCKED
 autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <jon@HIDDEN>) id 1i494Z-0000yH-SA
 for bug-guix@HIDDEN; Sat, 31 Aug 2019 15:30:08 -0400
Received: from mx.dorsal.tk ([216.8.161.75]:39641)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <jon@HIDDEN>) id 1i494Z-0000vp-Nx
 for bug-guix@HIDDEN; Sat, 31 Aug 2019 15:30:07 -0400
Received: from default (localhost [127.0.0.1])
 by mx.dorsal.tk (Postfix) with ESMTPSA id 113EB123DFB
 for <bug-guix@HIDDEN>; Sat, 31 Aug 2019 15:30:04 -0400 (EDT)
MIME-Version: 1.0
Date: Sat, 31 Aug 2019 19:30:04 +0000
Content-Type: text/plain; charset="utf-8"
Content-Transfer-Encoding: quoted-printable
X-Mailer: RainLoop/1.12.1
From: jon@HIDDEN
Message-ID: <84ef14fbd09aa880316137e7fdd5716c@HIDDEN>
Subject: GNOME and Icecat problems
To: bug-guix@HIDDEN
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-Received-From: 216.8.161.75
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Sat, 31 Aug 2019 15:55:22 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

There are several problems with using GNOME 3.28 and Icecat 60 on Guix, m=
any of which impact each other.=0A=0A1. The gnome-tweaks package can't fi=
nd gnome-shell extensions from the gnome-shell-extensions=0Apackage, and =
so claims none are installed.  =0AThis is a packaging problem because on =
normal distributions, packaged extensions are visible to gnome-tweaks.=0A=
2. The stock "Web" browser is not able to install shell extensions.  This=
 may be an upstream bug.=0A3. Icecat can not install gnome-shell extensio=
ns because the Native Connector is not packaged in=0AGuix.  Despite the m=
isleading name, this is the tool needed.=0A=0A    https://wiki.gnome.org/=
Projects/GnomeShellIntegrationForChrome/Installation=0A=0A4. Icecat is un=
able to sign in to Firefox sync.  This is apparently fixed in 68.




Acknowledgement sent to jon@HIDDEN:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#37248; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 3 Sep 2019 17:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.